# PUT /api/v1/org/{orgId}/team/{teamId}

**Update Team**

## Update Team
Update this organization team info.

Request to update an existing StackHawk Team.

| Parameter | Default | Description |
|:---:|:---:|:---:|
|teamId|""|The UUID identifier of this tea,.|
|name|""|updated name for this team.|
|applicationIds|[]|updated applicationIds for this team.|
|userIds|[]|updated member ids for this team.|
|organizationId|""|The UUID identifier of this organization.|

> 🧾 Audited
> This is recorded as `TEAM_UPDATED` [User Activity](https://apidocs.stackhawk.com/reference/listauditactivity#user-activity-types).

> Requires `write:team` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.
- `teamId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Team.

## Request Body

### application/json

- `applicationIds` (string[]) — updated applicationIds for this team.
- `name` (string) *(required)* — updated name for this team.
- `organizationId` (string) — The UUID identifier of this organization.
- `teamId` (string) — The UUID identifier of this tea,.
- `userIds` (string[]) — updated member ids for this team.

## Responses

### 200 — OK

#### application/json

- `team` (organization.Team)
  - `applications` (organization.TeamApplication[]) — The applications that belong to this Team.
    - `applicationId` (string)
    - `applicationName` (string)
    - `environments` (string[])
    - `lastScanTimestamp` (integer<int64>)
  - `id` (string) — The UUID identifier of this team.
  - `name` (string) — The name of this team.
  - `organizationId` (string) — The StackHawk organization that owns this Team.
  - `users` (organization.TeamUser[]) — The users that are members of this Team.
    - `email` (string)
    - `role` (string)
    - `userId` (string)
    - `userName` (string)

#### application/x-protobuf

- `team` (organization.Team)
  - `applications` (organization.TeamApplication[]) — The applications that belong to this Team.
    - `applicationId` (string)
    - `applicationName` (string)
    - `environments` (string[])
    - `lastScanTimestamp` (integer<int64>)
  - `id` (string) — The UUID identifier of this team.
  - `name` (string) — The name of this team.
  - `organizationId` (string) — The StackHawk organization that owns this Team.
  - `users` (organization.TeamUser[]) — The users that are members of this Team.
    - `email` (string)
    - `role` (string)
    - `userId` (string)
    - `userName` (string)

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
